Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader Class Reference

`#include <ObjectHeader.h>`

## Public Member Functions

| ObjectHeader ()
| ObjectHeader (const std::string &iName, const MetaData &iMetaData)
| ObjectHeader (const std::string &iName, const std::string &iFullName, const MetaData &iMetaData)
const std::string & | getName () const
void | setName (const std::string &iName)
const std::string & | getFullName () const
void | setFullName (const std::string &iFullName)
const MetaData & | getMetaData () const
MetaData & | getMetaData ()

## Detailed Description

The ObjectHeader is a collection of MetaData which helps define a Property. It also acts as a key for getting an instance of a property from a CompoundProperty.

Definition at line 51 of file ObjectHeader.h.

## Constructor & Destructor Documentation

## ObjectHeader() [1/3]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::ObjectHeader | ( |  | ) |

inline

Default constructor creates an unspecified object header. ...

Definition at line 56 of file ObjectHeader.h.

## ObjectHeader() [2/3]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::ObjectHeader | ( | const std::string & | iName,
|  | const MetaData & | iMetaData )

inline

Explicit constructor, ignoring full name. ...

Definition at line 63 of file ObjectHeader.h.

## ObjectHeader() [3/3]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::ObjectHeader | ( | const std::string & | iName,
|  | const std::string & | iFullName,
|  | const MetaData & | iMetaData )

inline

Explicit constructor with full name. ...

Definition at line 71 of file ObjectHeader.h.

## Member Function Documentation

## getFullName()

const std::string & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::getFullName | ( |  | ) | const

inline

All objects have a full name, which is unique in the whole file. ...

Definition at line 88 of file ObjectHeader.h.

## getMetaData() [1/2]

MetaData & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::getMetaData | ( |  | ) |

inline

Definition at line 94 of file ObjectHeader.h.

## getMetaData() [2/2]

const MetaData & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::getMetaData | ( |  | ) | const

inline

All objects have metadata. It is manipulated directly.

Definition at line 93 of file ObjectHeader.h.

## getName()

const std::string & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::getName | ( |  | ) | const

inline

Default Copy constructor Default Assignment operator

All objects have a name, which is unique amongst its siblings. ...

Definition at line 83 of file ObjectHeader.h.

## setFullName()

void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::setFullName | ( | const std::string & | iFullName | ) |

inline

Definition at line 89 of file ObjectHeader.h.

## setName()

void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::setName | ( | const std::string & | iName | ) |

inline

Definition at line 84 of file ObjectHeader.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCoreAbstract/ObjectHeader.h